Show / Hide Table of Contents

# Class RoleCreateAuditLogData

Contains a piece of audit log data related to a role creation.

##### Inheritance

System.Object
RoleCreateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RoleCreateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### Properties

Gets the role information that was created.

##### Declaration

    public RoleEditInfo Properties { get; }

##### Property Value

Type | Description
--- | ---
RoleEditInfo |

| Improve this Doc View Source

#### RoleId

Gets the ID of the role that was created.

##### Declaration

    public ulong RoleId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

### Implements

IAuditLogData